<script lang="ts">
	import HistoryCard from '../../components/HistoryCard.svelte'
	import type { PageData } from './$types'

	interface Props {
		data: PageData;
	}

	let { data }: Props = $props();
</script>

<div>
	{#each data.history as item}
		<HistoryCard
			routeName={item.routeName}
			comment={item.comment}
			distanceKM={item.distanceM / 1000}
			timestamp={item.time?.getTime() || 0}
      iconUrl={item.iconUrl}
		/>
	{/each}

	{#if !data.history.length}
		<a href="/new">{data.message}</a>
	{/if}
</div>

<style>
	div {
		display: flex;
		flex-direction: column;
		row-gap: 1rem;
		height: calc(100vh - 10rem);
		overflow-y: scroll;
	}

	a {
		margin:2rem;
		color: var(--accentColour);
		text-decoration: none;
	}
</style>
